Subject: bug#18265: closed (Re: bug#18265: 24.3.92; lisp-completion-at-point should return nil in comments, unless after `)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 19 Sep 2014 03:57:02 +0000

Your bug report

#18265: 24.3.92; lisp-completion-at-point should return nil in comments, unless after `

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18265: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18265
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18265: 24.3.92; lisp-completion-at-point should return nil in comments, unless after `
From: Dmitry Gutov <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Fri, 19 Sep 2014 07:56:12 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.5

On 08/16/2014 10:00 PM, Stefan Monnier wrote:

> While it's "counter to the c-a-p-f interface", the need to combine
> several backends is sufficiently common that we need to support it somehow.
>
> I hope a "merge" solution can use a less hackish solution than the
> current ":exclusive no".

I'm not convinced with this approach. At least, AFAICS, different users 
prefer to merge different backends together. For instance, some 
https://github.com/iquiw/company-ghc users like to merge its results 
with the plain company-dabbrev-code. Some, I believe, don't.

If the completion function gets to decide that, it would be harder for 
users to customize.

>> And anyway, it doesn't seem to help with the distinction between manual and
>> idle completion,
>
> Indeed, it's a largely orthogonal issue.

I've installed the in-string-or-comment piece of logic that's been 
missing compared to company-elisp, so this bug should be settled.

The distinction between manual and idle completion doesn't seem to be 
very useful here, so let's leave that until there's a definite demand 
for it.

Subject: 24.3.92; lisp-completion-at-point should return nil in comments, unless after `
From: Dmitry <[email-masked]>
To: [email-masked]
Date: Thu, 14 Aug 2014 16:11:17 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

https://github.com/company-mode/company-mode/issues/167

`company-elisp' does that, by the way.

In GNU Emacs 24.3.92.4 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 of 2014-08-06 on axl
Repository revision: 117425 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04.1 LTS